package com.testor.module.appUpdate.service;

import com.testor.module.appUpdate.model.domain.TSysAppPackage;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author rsq
 * @program zlmy_boot
 * @return
 **/
public interface TSysAppPackageService {

    BaseResponse uploadPackage(MultipartFile file, TSysAppPackage tSysAppPackage);

    BaseResponse<TSysAppPackage> getLatestVersion();

    BaseResponse getPackageByVersion(String version);
}
